Bug 786312 - Cannot suspend to disk: Cannot allocate memory
Cannot suspend to disk: Cannot allocate memory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-01-31 21:53 EST by Rudd-O DragonFear
Modified: 2012-09-04 13:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2012-01-31 21:53:58 EST
Description of problem:

Suspend to disk fails.  pm-suspend log shows "Cannot allocate memory"

Version-Release number of selected component (if applicable):



How reproducible:

Always

Steps to Reproduce:
1. Try to suspend to disk from the KDE menu
2. Suspend fails
3. Check log
4. Do not profit
  
Actual results:

Machine does not suspend.

Expected results:

Machine should suspend

----------------------------------

pmsuspend.log:

Initial commandline parameters: 
Tue Jan 31 18:49:49 PST 2012: Running hooks for hibernate.
Running hook /usr/lib64/pm-utils/sleep.d/00logging hibernate hibernate:
Linux karen.dragonfear 3.2.2-1.fc16.x86_64 #1 SMP Thu Jan 26 03:21:58 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
tcp_lp                 12663  0 
nfs                   398071  1 
fscache                55161  1 nfs
auth_rpcgss            47996  1 nfs
nfs_acl                12741  1 nfs
fuse                   77538  3 
lockd                  84578  1 nfs
8021q                  24113  0 
garp                   14069  1 8021q
stp                    12823  1 garp
llc                    14090  2 garp,stp
rfcomm                 68661  4 
bnep                   19570  2 
tun                    22768  2 
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14290  1 
nf_defrag_ipv6         18139  1 nf_conntrack_ipv6
xt_state               12578  1 
nf_conntrack           82331  2 nf_conntrack_ipv6,xt_state
ip6table_filter        12815  1 
ip6_tables             26976  1 ip6table_filter
sunrpc                235041  12 nfs,auth_rpcgss,nfs_acl,lockd
snd_hda_codec_hdmi     36277  4 
asus_nb_wmi            12667  0 
asus_wmi               23919  1 asus_nb_wmi
sparse_keymap          13526  1 asus_wmi
arc4                   12529  2 
uvcvideo               71509  0 
hid_logitech_dj        18415  0 
videodev               97776  1 uvcvideo
media                  20408  2 uvcvideo,videodev
v4l2_compat_ioctl32    16726  1 videodev
snd_hda_codec_realtek   231881  1 
microcode              23240  0 
joydev                 17412  0 
snd_hda_intel          33276  4 
snd_hda_codec         114615  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
i2c_i801               17765  0 
snd_hwdep              17611  1 snd_hda_codec
snd_seq                64807  0 
snd_seq_device         14129  1 snd_seq
serio_raw              13371  0 
snd_pcm                97100  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
btusb                  23904  2 
bluetooth             244750  23 rfcomm,bnep,btusb
snd_timer              28815  2 snd_seq,snd_pcm
snd                    74425  16 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
ath9k                  94995  0 
mac80211              439421  1 ath9k
ath9k_common           13600  1 ath9k
ath9k_hw              374492  2 ath9k,ath9k_common
soundcore              14484  1 snd
ath                    23089  3 ath9k,ath9k_common,ath9k_hw
snd_page_alloc         18101  2 snd_hda_intel,snd_pcm
cfg80211              194802  3 ath9k,mac80211,ath
iTCO_wdt               17948  0 
iTCO_vendor_support    13419  1 iTCO_wdt
r8169                  60789  0 
mii                    13527  1 r8169
rfkill                 21410  4 asus_wmi,bluetooth,cfg80211
uinput                 17606  0 
zfs                  1008738  27 
zcommon                43419  1 zfs
znvpair                47131  2 zfs,zcommon
zavl                   14376  1 zfs
zunicode              330756  1 zfs
spl                   119654  5 zfs,zcommon,znvpair,zavl,zunicode
zlib_deflate           26614  1 spl
nouveau               763073  3 
ttm                    68749  1 nouveau
drm_kms_helper         40141  1 nouveau
drm                   225894  5 nouveau,ttm,drm_kms_helper
i2c_algo_bit           13156  1 nouveau
i2c_core               37955  6 videodev,i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
mxm_wmi                12823  1 nouveau
wmi                    18697  2 asus_wmi,mxm_wmi
video                  18932  1 nouveau
             total       used       free     shared    buffers     cached
Mem:       8155068    5619672    2535396          0        772     510108
-/+ buffers/cache:    5108792    3046276
Swap:      8388604          0    8388604

/usr/lib64/pm-utils/sleep.d/00logging hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/00powersave hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/00powersave hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/01grub hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/01grub hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/49bluetooth hibernate hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager hibernate hibernate:
Having NetworkManager put all interfaces to sleep...Done.

/usr/lib64/pm-utils/sleep.d/55NetworkManager hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/56atd hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/56atd hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/56dhclient hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/56dhclient hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/75modules hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/75modules hibernate hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/90clock hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/90clock hibernate hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/94cpufreq hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/95led hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/95led hibernate hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/95packagekit hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/95packagekit hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler hibernate hibernate:
Kernel modesetting video driver detected, not using quirks.

/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler hibernate hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/99video hibernate hibernate:

/usr/lib64/pm-utils/sleep.d/99video hibernate hibernate: success.
Tue Jan 31 18:49:50 PST 2012: performing hibernate
/usr/lib64/pm-utils/pm-functions: line 321: echo: write error: Cannot allocate memory
Tue Jan 31 18:50:08 PST 2012: Awake.
Tue Jan 31 18:50:08 PST 2012: Running hooks for thaw
Running hook /usr/lib64/pm-utils/sleep.d/99video thaw hibernate:

/usr/lib64/pm-utils/sleep.d/99video thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler thaw hibernate:

/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/95packagekit thaw hibernate:
method return sender=:1.64 -> dest=:1.76 reply_serial=2

/usr/lib64/pm-utils/sleep.d/95packagekit thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/95led thaw hibernate:

/usr/lib64/pm-utils/sleep.d/95led thaw hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq thaw hibernate:

/usr/lib64/pm-utils/sleep.d/94cpufreq thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/90clock thaw hibernate:

/usr/lib64/pm-utils/sleep.d/90clock thaw hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/75modules thaw hibernate:
Reloaded unloaded modules.

/usr/lib64/pm-utils/sleep.d/75modules thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/56dhclient thaw hibernate:

/usr/lib64/pm-utils/sleep.d/56dhclient thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/56atd thaw hibernate:

/usr/lib64/pm-utils/sleep.d/56atd thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager thaw hibernate:
Having NetworkManager wake interfaces back up...Done.

/usr/lib64/pm-utils/sleep.d/55NetworkManager thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth thaw hibernate:

/usr/lib64/pm-utils/sleep.d/49bluetooth thaw hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/01grub thaw hibernate:

/usr/lib64/pm-utils/sleep.d/01grub thaw hibernate: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/00powersave thaw hibernate:

/usr/lib64/pm-utils/sleep.d/00powersave thaw hibernate: success.
Running hook /usr/lib64/pm-utils/sleep.d/00logging thaw hibernate:

/usr/lib64/pm-utils/sleep.d/00logging thaw hibernate: success.
Tue Jan 31 18:50:09 PST 2012: Finished.


swapon -s:


~@karen.dragonfear α:
swapon -s 
Filename                                Type            Size    Used    Priority
/dev/sda3                               partition       8388604 320072  0

~@karen.dragonfear α:
free
             total       used       free     shared    buffers     cached
Mem:       8155068    3063100    5091968          0        368     272456
-/+ buffers/cache:    2790276    5364792
Swap:      8388604     320072    8068532

~@karen.dragonfear α:
Comment 1 Rudd-O DragonFear 2012-01-31 21:54:11 EST
~@karen.dragonfear α:
rpm -q kernel
kernel-3.2.2-1.fc16.x86_64
Comment 2 Dave Jones 2012-03-22 13:11:13 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:13:42 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:23:04 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Josh Boyer 2012-03-28 13:59:47 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.